{
  "name": "tool/convert_json_to_pug.json",
  "info": "atom ~/ma-git/manage/docs/ma-guide/vue-convert.md",
  "extra_data":["link", "style", "script"],
  "indent_mark": "  ",
  "tag_start":  {
      "start": "",
      "end": " "
    },
  "tag_end":  {
      "start": "",
      "end": ""
    },
  "class":
    {
      "join_class_to_start_tag": true,
      "join_divider": ".",
      "divider": "; "
    },
  "attribute":
    {
      "start": "(",
      "divider": ", ",
      "end_no_value": ")",
      "end": ") ",
      "quote": "'"
    },
  "replace":[
    {
      "from": "div.",
      "to": "."
    },
    {
      "from": "ng-model",
      "to": "model"
    },
    {
      "from": "ng-init",
      "to": "v-ma-init"
    },
    {
      "from": "ng-click",
      "to": "@click.native"
    },
    {
      "from": "ng-change",
      "to": "@change.native"
    },
    {
      "from": "ma-change",
      "to": "@change.native"
    },
    {
      "from": "ng-disabled",
      "to": ":disabled"
    },
    {
      "from": "ng-disabled",
      "to": ":disabled"
    },
    {
      "from": "ng-repeat",
      "to": "v-for"
    },
    {
      "from": "ng-if",
      "to": "c-if"
    },
    {
      "from": "ng-show",
      "to": "v-show"
    },
    {
      "from": "ng-bind",
      "to": "v-text"
    },
    {
      "from": "ng-bindXX",
      "to": "v-html"
    },
    {
      "from": "ng-class",
      "to": ":class"
    },
    {
      "from": "onclick=",
      "to": "@click="
    },
    {
      "from": "ma-multi-popup(",
      "to": "ma-popup(multi, "
    },
    {
      "from": ", ma-datepicker='ma-datepicker'",
      "to": ""
    }
  ],
  "convert": "tool/convert_boostrap_to_semantic_col_row.json",
  "convertX":  [
    "tool/convert_boostrap_to_semantic_modal.json"
  ]
}
